KFIFO_IN(9)

NAME
kfifo_in - put data into the fifo

SYNOPSIS

kfifo_in(fifo, buf, n);

ARGUMENTS

fifo
    address of the fifo to be used

buf
    the data to be added

n
    number of elements to be added

DESCRIPTION

This macro copies the given buffer into the fifo and returns the number of copied elements.

Note that with only one concurrent reader and one concurrent writer, you don't need extra locking to use these macro.

COPYRIGHT